qpid::management::ConnectionSettings Struct Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
qpid::management::ConnectionSettings Struct Reference

Settings for a Connection. More...

`#include <qpid/management/ConnectionSettings.h>`

List of all members.

## Public Member Functions
| ConnectionSettings ()
virtual | ~ConnectionSettings ()
## Public Attributes
std::string | protocol
| The protocol used for the connection (defaults to 'tcp')
std::string | host
| The host (or ip address) to connect to (defaults to 'localhost').
uint16_t | port
| The port to connect to (defaults to 5672).
std::string | virtualhost
| Allows an AMQP 'virtual host' to be specified for the connection.
std::string | username
| The username to use when authenticating the connection.
std::string | password
| The password to use when authenticating the connection.
std::string | mechanism
| The SASL mechanism to use when authenticating the connection; the options are currently PLAIN or ANONYMOUS.
std::string | locale
| Allows a locale to be specified for the connection.
uint16_t | heartbeat
| Allows a heartbeat frequency to be specified.
uint16_t | maxChannels
| The maximum number of channels that the client will request for use on this connection.
uint16_t | maxFrameSize
| The maximum frame size that the client will request for this connection.
unsigned int | bounds
| Limit the size of the connections send buffer .
bool | tcpNoDelay
| If true, TCP_NODELAY will be set for the connection.
std::string | service
| SASL service name.
unsigned int | minSsf
| Minimum acceptable strength of any SASL negotiated security layer.
unsigned int | maxSsf
| Maximum acceptable strength of any SASL negotiated security layer.

## Detailed Description

Settings for a Connection.

## Constructor & Destructor Documentation

qpid::management::ConnectionSettings::ConnectionSettings | ( |  | ) |

virtual qpid::management::ConnectionSettings::~ConnectionSettings | ( |  | ) | `[virtual]`

## Member Data Documentation

unsigned int qpid::management::ConnectionSettings::bounds

Limit the size of the connections send buffer .

The buffer is limited to bounds * maxFrameSize.

Definition at line 94 of file ConnectionSettings.h.

uint16_t qpid::management::ConnectionSettings::heartbeat

Allows a heartbeat frequency to be specified.

Definition at line 79 of file ConnectionSettings.h.

std::string qpid::management::ConnectionSettings::host

The host (or ip address) to connect to (defaults to 'localhost').

Definition at line 47 of file ConnectionSettings.h.

std::string qpid::management::ConnectionSettings::locale

Allows a locale to be specified for the connection.

Definition at line 75 of file ConnectionSettings.h.

uint16_t qpid::management::ConnectionSettings::maxChannels

The maximum number of channels that the client will request for use on this connection.

Definition at line 84 of file ConnectionSettings.h.

uint16_t qpid::management::ConnectionSettings::maxFrameSize

The maximum frame size that the client will request for this connection.

Definition at line 89 of file ConnectionSettings.h.

unsigned int qpid::management::ConnectionSettings::maxSsf

Maximum acceptable strength of any SASL negotiated security layer.

0 means no security layer allowed.

Definition at line 112 of file ConnectionSettings.h.

std::string qpid::management::ConnectionSettings::mechanism

The SASL mechanism to use when authenticating the connection; the options are currently PLAIN or ANONYMOUS.

Definition at line 71 of file ConnectionSettings.h.

unsigned int qpid::management::ConnectionSettings::minSsf

Minimum acceptable strength of any SASL negotiated security layer.

0 means no security layer required.

Definition at line 107 of file ConnectionSettings.h.

std::string qpid::management::ConnectionSettings::password

The password to use when authenticating the connection.

Definition at line 66 of file ConnectionSettings.h.

uint16_t qpid::management::ConnectionSettings::port

The port to connect to (defaults to 5672).

Definition at line 51 of file ConnectionSettings.h.

std::string qpid::management::ConnectionSettings::protocol

The protocol used for the connection (defaults to 'tcp')

Definition at line 42 of file ConnectionSettings.h.

std::string qpid::management::ConnectionSettings::service

SASL service name.

Definition at line 102 of file ConnectionSettings.h.

bool qpid::management::ConnectionSettings::tcpNoDelay

If true, TCP_NODELAY will be set for the connection.

Definition at line 98 of file ConnectionSettings.h.

std::string qpid::management::ConnectionSettings::username

The username to use when authenticating the connection.

If not specified the current users login is used if available.

Definition at line 62 of file ConnectionSettings.h.

std::string qpid::management::ConnectionSettings::virtualhost

Allows an AMQP 'virtual host' to be specified for the connection.

Definition at line 56 of file ConnectionSettings.h.

The documentation for this struct was generated from the following file:

- qpid/management/ConnectionSettings.h